XmlPlatformValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.resourceImport.XmlPlatformValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.resourceImport
Class XmlPlatformValue

    java.lang.Object
      org.hyperic.hq.bizapp.shared.resourceImport.XmlResourceValue
          org.hyperic.hq.bizapp.shared.resourceImport.XmlPlatformValue

All Implemented Interfaces:
  java.io.Serializable

    public class XmlPlatformValue

extends XmlResourceValue

See Also:
  Serialized Form

Method Summary
`XmlAgentConnValue` | `getAgentConn()`
`java.lang.String` | `getCertdn()`
`java.lang.String` | `getComment()`
`java.lang.Integer` | `getCpuCount()`
`java.lang.Integer` | `getCpuSpeed()`
`java.lang.String` | `getFqdn()`
`java.util.List` | `getIpValues()`
`static java.lang.String[]` | `getOptionalAttributes()`
`java.lang.Integer` | `getRam()`
`static java.lang.String[]` | `getRequiredAttributes()`
`java.util.List` | `getServers()`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.bizapp.shared.resourceImport.XmlResourceValue
`getConfig, getCustomProps, getDescription, getLocation, getMetricsToCollect, getName, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getRequiredAttributes

    public static java.lang.String[] getRequiredAttributes()

### getOptionalAttributes

    public static java.lang.String[] getOptionalAttributes()

### getAgentConn

    public XmlAgentConnValue getAgentConn()

### getFqdn

    public java.lang.String getFqdn()

### getCertdn

    public java.lang.String getCertdn()

### getComment

    public java.lang.String getComment()

### getCpuCount

    public java.lang.Integer getCpuCount()

### getCpuSpeed

    public java.lang.Integer getCpuSpeed()

### getRam

    public java.lang.Integer getRam()

### getIpValues

    public java.util.List getIpValues()

### getServers

    public java.util.List getServers()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `XmlResourceValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.